/*
  menu-generator - CLI application generating menus for various WMs
  Copyright (C) 2012 Jaromir Capik <tavvva@email.cz>

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#define DESKTOP_FILES_LOCATION "/usr/share/applications"

#define ICON_FILES_LOCATION "/usr/share/pixmaps"

#define FLUXBOX_ICON_SUFFIX "_16x16.xpm"

#define GROUP_DEFINITIONS "/etc/menu-generator-groups"
#define USER_GROUP_DEFINITIONS "/.menu-generator/groups"

#define ENTRIES_MAX 2000
#define ENTRY_NAME_MAX_LEN 128

#define GROUP_ENTRIES_MAX 200
#define ENTRY_GROUP_MAX_LEN 256

#define LOCALE_MAX_LEN 256
#define DESKTOP_FILE_LINE_MAX_LEN 512

